For the complete documentation index, see llms.txt. This page is also available as Markdown.

/api/affiliate/add

post

Add affiliates

Authorizations
api-keystringRequired
api-usernamestringRequired
Query parameters
usernameanyRequired
passwordanyRequired
firstnameanyRequired
lastnameanyRequired
emailanyRequired
companyanyRequired
urlanyRequired
telanyOptionalDefault: --notset--
teamsstringOptionalDefault: --notset--
telegramstringOptionalDefault: --notset--
gchatstringOptionalDefault: --notset--
address1anyRequired
address2anyOptionalDefault: --notset--
cityanyRequired
stateanyRequired
countryanyRequired
zip_codeanyRequired
tax_id_or_ssnanyOptionalDefault: --notset--
refanyOptionalDefault: --notset--
minimum_payoutanyRequired
payvia_type_idintegerOptionalDefault: --notset--
payvia_infostringOptionalDefault: --notset--
skip_affiliate_emailanyOptionalDefault: --notset--
skip_account_rep_emailanyOptionalDefault: --notset--
skip_owner_emailanyOptionalDefault: --notset--
skip_all_emailsanyOptionalDefault: --notset--
custom1anyOptionalDefault: --notset--
custom2anyOptionalDefault: --notset--
custom3anyOptionalDefault: --notset--
custom4anyOptionalDefault: --notset--
custom5anyOptionalDefault: --notset--
affiliate_contact1anyOptionalDefault: --notset--
affiliate_contact2anyOptionalDefault: --notset--
affiliate_contact3anyOptionalDefault: --notset--
affiliate_contact4anyOptionalDefault: --notset--
affiliate_contact5anyOptionalDefault: --notset--
tos_checkstringOptionalDefault: --notset--
typeintegerOptionalDefault: --notset--
Responses
200

success

successbooleanOptionalExample: true
post/api/affiliate/add
PHP (cURL)
<?php

$headers = array( //set your username and API key here
	'api-key: 44b5498dbcb481a0d00b404c0169af62',
	'api-username: tmm1phrvezsbu'
);
$url = 'https://yourdomain.com'; //set your NATS URL here

$data = array(
		'username' => 'affiliateTest',
		'password' => 'test',
		'firstname' => 'Test',
		'lastname' => 'Affiliate',
		'email' => 'itai.levi@toomuchmedia.com',
		'company' => 'TMM',
		'url' => 'toomuchmedia.com',
		'tel' => '111-111-1111',
		'icq' => '111111111',
		'aim' => 'testaffiliate',
		'msn' => 'testaffiliate',
		'address1' => '1 affiliate st',
		'address2' => '',
		'city' => 'City',
		'state' => 'State',
		'country' => 'US',
		'zip_code' => '11111',
		'tax_id_or_ssn' => '111111111',
		'ref' => 'asdf',
		'minimum_payout' => 1
	);

$request = array(
	'method' => 'POST',
	'path' => 'affiliate/add',
	'data' => $data
);

/*code below is the same for (almost) every API call */

$curl = curl_init();

$url = $url.'/api/'.$request['path'];

$query = http_build_query($request['data']);

if($request['method'] == 'GET'){
	//add query string parameters to the end of the url
	$url = $url.'?'.$query;
}else{
	//send parameters as POST fields
	curl_setopt($curl, CURLOPT_POST, 1);
	curl_setopt($curl, CURLOPT_POSTFIELDS, $query);

	if($request['method'] != 'POST'){
		$headers[] ='X-HTTP-Method: '.$request['method']; //send custom request method
	}
}
curl_setopt($curl, CURLOPT_URL, $url);
curl_setopt($curl, CURLOPT_HTTPHEADER, $headers);
curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);


$resp = curl_exec($curl);
//dumps an associative array representation of the json
var_dump(json_decode($resp, true));
// Close request to clear up some resources
curl_close($curl);
?>
200

success

{
  "success": true,
  "result": true,
  "loginid": "3"
}

Last updated

Was this helpful?